<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/taskinfo/Dt_Task.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" 
        :table="table" :extend="extend" />
</template>
<script>
import extend from "@/extension/widesea_wms/taskinfo/Dt_Task_Hty.jsx";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'taskId',
            footer: "Foots",
            cnName: '产量统计',
            name: 'taskinfo',
            url: "/Task/Getproductionstatistics",
            sortName: "TaskId"
        });
        const editFormFields = ref({
            "taskNum": "",
            "palletCode": ""
        });
        const editFormOptions = ref([
          
        ]);
        const searchFormFields = ref({
        });
        const searchFormOptions = ref([
            [
               
              
                { "title": "任务类型", "field": "taskType", "type": "select", dataKey: "TaskType", data: [] },
                { "title": "任务状态", "field": "taskState", "type": "select", dataKey: "TaskStatus", data: [] },

            ],
            [
                { "title": "起始位置", "field": "sourceAddress", type: "text" },
                { "title": "当前位置", "field": "currentAddress", type: "text" },
                { "title": "下一位置", "field": "nextAddress", type: "text" },
                { "title": "目标位置", "field": "targetAddress", type: "text" },
            ],
            [
                { "title": "巷道", "field": "roadway", type: "text" },
                { "title": "生产产线", "field": "productionLine", type: "select", dataKey: "ProductionLine", data: [] },
                { "title": "创建人", "field": "creater", type: "text" },
                { "title": "创建时间", "field": "createDate", type: "datetime" },
            ],
        ]);
        const columns = ref([{ field: 'TaskId', title: '主键', type: 'string', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'hour', title: '日期', type: 'int', width: 110, align: 'left', sort: true },
        { field: 'count', title: '实框出库', type: 'string', width: 150, align: 'left' },
        { field: 'pnboundNo', title: '单据号', type: 'string', width: 110, align: 'left' ,hidden: true},
        { field: 'groupID', title: '库存ID', type: 'int', width: 110, hidden: true, align: 'left' },
        { field: 'groupDetailId', title: '组盘明细ID', type: 'int', width: 110, hidden: true, align: 'left' },
        { field: 'roadway', title: '库', type: 'string', width: 110, align: 'left' },]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
